ResourceZevent (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.ResourceZevent class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class ResourceZevent

    java.lang.Object
      org.hyperic.hq.zevents.Zevent
          org.hyperic.hq.appdef.server.session.ResourceZevent

Direct Known Subclasses:
  ResourceCreatedZevent, ResourceDeletedZevent, ResourceRefreshZevent, ResourceUpdatedZevent

    public abstract class ResourceZevent

extends Zevent

Abstract class for appdef resource events.

Nested Class Summary
`protected static class` | `ResourceZevent.ResourceZeventPayload`
`protected static class` | `ResourceZevent.ResourceZeventSource`

Constructor Summary
`ResourceZevent(java.lang.Integer subject, AppdefEntityID id)`
`ResourceZevent(ResourceZevent.ResourceZeventSource source, ResourceZevent.ResourceZeventPayload payload)`

Method Summary
`AppdefEntityID` | `getAppdefEntityID()`
`java.lang.Integer` | `getAuthzSubjectId()`

Methods inherited from class org.hyperic.hq.zevents.Zevent
`getPayload, getQueueEntryTime, getQueueExitTime, getSourceId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceZevent

    public ResourceZevent(java.lang.Integer subject,
                          AppdefEntityID id)

### ResourceZevent

    public ResourceZevent(ResourceZevent.ResourceZeventSource source,
                          ResourceZevent.ResourceZeventPayload payload)

Method Detail

### getAppdefEntityID

    public AppdefEntityID getAppdefEntityID()

### getAuthzSubjectId

    public java.lang.Integer getAuthzSubjectId()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.